'use strict';


const moment = require('moment');

module.exports = app => {
  const { STRING, INTEGER, DATE } = app.Sequelize;

  const CourseV5Answer = app.classModel.define('course_v5_answer', {
    id: {
      type: INTEGER,
      primaryKey: true,
      autoIncrement: true,
    },
    question_id: INTEGER,
    title: STRING,
    sub_title: STRING,
    selected_icon: STRING,
    unselected_icon: STRING,
    tag: STRING,
    status: INTEGER,
    is_deleted: INTEGER,
    sort: INTEGER,
    created_time: {
      type: DATE,
      allowNull: true,
      get() {
        const date = this.getDataValue('created_time');
        return date ? moment(date).format('YYYY-MM-DD HH:mm:ss') : undefined;
      },
    },
    updated_time: {
      type: DATE,
      allowNull: true,
      get() {
        const date = this.getDataValue('updated_time');
        return date ? moment(date).format('YYYY-MM-DD HH:mm:ss') : undefined;
      },
    },
  }, {
    timestamps: false,
    tableName: 'course_v5_answer',
  });

  return CourseV5Answer;

};
